> ## Documentation Index
> Fetch the complete documentation index at: https://pwapi.uuwallet.com/llms.txt
> Use this file to discover all available pages before exploring further.

# 查看卡片信息



## OpenAPI

````yaml cn post /card/cardInfo
openapi: 3.1.0
info:
  title: powercard-api
  description: ''
  version: 1.0.0
servers:
  - url: http://dev-cn.your-api-server.com
    description: 开发环境
security: []
tags: []
paths:
  /card/cardInfo:
    post:
      tags: []
      summary: 查看卡片信息
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/QueryCardInfoRequest'
              description: ''
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CommonResultQueryCardInfoResponse'
              example:
                success: false
                errorCode: ''
                errorMessage: ''
                errorMessageEn: ''
                detailMessage: ''
                requestId: ''
                data:
                  powerCardId: ''
                  cvv2: ''
                  currency: ''
                  expireDate: ''
                  monthFee: 0
                  rechargeFee: 0
                  status: ''
                  channelCardNo: ''
                  setPIN: false
                  physicalCardInfoId: 0
                  kycStatus: ''
                  kycFullName: ''
                  postalCode: ''
                  areaNo: ''
                  mobile: ''
                  email: ''
          headers: {}
      deprecated: false
      security: []
components:
  schemas:
    QueryCardInfoRequest:
      type: object
      properties:
        merchantId:
          type: string
          description: 商户id
        merchantUserId:
          type: string
          description: 商户侧用户id
        powerCardId:
          type: string
          description: powerCard卡片id
        channel:
          type: string
          description: 开卡渠道
      required:
        - merchantId
        - merchantUserId
        - powerCardId
        - channel
    CommonResultQueryCardInfoResponse:
      type: object
      properties:
        success:
          type: boolean
          description: 是否业务处理成功
          default: false
        errorCode:
          type: string
          description: 错误码
        errorMessage:
          type: string
          description: 错误信息
        errorMessageEn:
          type: string
          description: 英文错误信息
        detailMessage:
          type: string
          description: 详细信息
        requestId:
          type: string
          description: 請求uuid
        data:
          $ref: '#/components/schemas/QueryCardInfoResponse'
          description: 结果数据
    QueryCardInfoResponse:
      type: object
      properties:
        powerCardId:
          type: string
          description: powerCard卡片id
        cvv2:
          type: string
          description: 卡cvv2安全码
        currency:
          type: string
          description: 币种
        expireDate:
          type: string
          description: 有效期
        monthFee:
          type: number
          description: 月费
        rechargeFee:
          type: number
          description: 充值手续费
        status:
          type: string
          description: 状态
        channelCardNo:
          type: string
          description: 渠道侧卡号
        setPIN:
          type: boolean
          description: 是否已设置PIN
        physicalCardInfoId:
          type: integer
          description: 实体卡关联id
        kycStatus:
          type: string
          description: KYC状态
        kycFullName:
          type: string
          description: kyc名称
        postalCode:
          type: string
          description: 邮政编码
        areaNo:
          type: string
          description: 区号
        mobile:
          type: string
          description: 手机号
        email:
          type: string
          description: 邮箱

````